title1 1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EAFAMA20
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
       V26   278-286
       V27   287-295
       V28   296-304
       V29   305-313
       V30   314-322
       V31   323-331
       V32   332-340
       V33   341-349
       V34   350-358
       V35   359-367
       V36   368-376
       V37   377-385
       V38   386-394
       V39   395-403
       V40   404-412
       V41   413-421
       V42   422-430
       V43   431-439
       V44   440-448
       V45   449-457
       V46   458-466
       V47   467-475
       V48   476-484
       V49   485-493
       V50   494-502
       V51   503-511
       V52   512-520
       V53   521-529
       V54   530-538
       V55   539-547
       V56   548-556
       V57   557-565
       V58   566-574
       V59   575-583
       V60   584-592
       V61   593-601
       V62   602-610
       V63   611-619
       V64   620-628
       V65   629-637
       V66   638-646
       V67   647-655
       V68   656-664
       V69   665-673 .0
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1  = 'Husband-wife fam-husband mother tongue: tot'
        V2  = 'Husband-wife fam-husband MT: English'
        V3  = 'Husband-wife fam-husband MT: French'
        V4  = 'Husband-wife fam-husband MT: German'
        V5  = 'Husband-wife fam-husband MT: Italian'
        V6  = 'Husband-wife fam-husband MT: Ukranian'
        V7  = 'Husband-wife fam-husband MT: not stated'
        V8  = 'Husband-wife fam-husband MT: other'
        V9  = 'Husband-wife fam-wives mother tongue-tot'
        V10 = 'Husband-wife fam-wives MT: English'
        V11 = 'Husband-wife fam-wives MT: French'
        V12 = 'Husband-wife fam-wives MT: German'
        V13 = 'Husband-wife fam-wives MT: Italian'
        V14 = 'Husband-wife fam-wives MT: Ukrainian'
        V15 = 'Husband-wife fam-wives MT: not stated'
        V16 = 'Husband-wife fam-wives MT: other'
        V17 = 'Lone pt fam- mother tongue:tot'
        V18 = 'Lone pt fam- MT: English'
        V19 = 'Lone pt fam- MT: French'
        V20 = 'Lone pt fam- MT: German'
        V21 = 'Lone pt fam- MT: Italian'
        V22 = 'Lone pt fam- MT: Ukrainian'
        V23 = 'Lone pt fam- MT: not stated'
        V24 = 'Lone pt fam- MT: other'
        V25 = 'Male lone parent fam-mother tongue: tot'
        V26 = 'Male lone parent fam-MT: English'
        V27 = 'Male lone parent fam-MT: French'
        V28 = 'Male lone parent fam-MT: German'
        V29 = 'Male lone parent fam-MT: Italian'
        V30 = 'Male lone parent fam-MT: Ukrainian'
        V31 = 'Male lone parent fam-MT: not stated'
        V32 = 'Male lone parent fam-MT: other'
        V33 = 'Female lone parent fam-mother tongue: tot'
        V34 = 'Female lone parent fam-MT: English'
        V35 = 'Female lone parent fam-MT: French'
        V36 = 'Female lone parent fam-MT: German'
        V37 = 'Female lone parent fam-MT: Italian'
        V38 = 'Female lone parent fam-MT: Ukrainian'
        V39 = 'Female lone parent fam-MT: not stated'
        V40 = 'Female lone parent fam-MT: other'
        V41 = 'Lone parent fam:tot marital status'
        V42 = 'Lone parent fam: married spouse abs'
        V43 = 'Lone parent fam: separated'
        V44 = 'Lone parent fam: widowed'
        V45 = 'Lone parent fam: divorced'
        V46 = 'Lone parent fam: single'
        V47 = 'Male lone parent fam: tot marital status'
        V48 = 'Male lone parent fam: married spouse abs'
        V49 = 'Male lone parent fam: separated'
        V50 = 'Male lone parent fam: widowed'
        V51 = 'Male lone parent fam: divorced'
        V52 = 'Male lone parent fam: single'
        V53 = 'Female lone parent fam: tot marital status'
        V54 = 'Female lone parent fam: married spouse abs'
        V55 = 'Female lone parent fam: separated'
        V56 = 'Female lone parent fam: widowed'
        V57 = 'Female lone parent fam: divorced'
        V58 = 'Female lone parent fam: single'
        V59 = 'Tot fam'
        V60 = 'Fam- no. of persons: 2'
        V61 = 'Fam- no. of persons: 3 persons'
        V62 = 'Fam- no. of persons: 4 persons'
        V63 = 'Fam- no. of persons: 5 persons'
        V64 = 'Fam- no. of persons: 6 persons'
        V65 = 'Fam- no. of persons: 7 persons'
        V66 = 'Fam- no. of persons: 8 persons'
        V67 = 'Fam- no. of persons: 9 & more persons'
        V68 = 'Tot persons per fam'
        V69 = 'Avg no. of persons per fam'
      ;
FORMAT  PROV              V1_F.
        CSDSIZE           V7_F.
        CMACAPT           V11_F.
        CMACASEL          V12_F.
        CMACASIZ          V14_F.
        URBRUR            V18_F.
        URBSIZE           V19_F.
        RECTYPE           V21_F.
;
